scala.reflect.api.FlagSets

# FlagValues

###
Related Doc: package FlagSets

#### trait FlagValues extends AnyRef

All possible values that can constitute flag sets. The main source of information about flag sets is the scala.reflect.api.FlagSets page.

Source
  FlagSets.scala

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FlagValues
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract val ABSOVERRIDE: Universe.FlagSet

   Flag indicating that tree has `abstract` and `override` modifiers set

2. #### abstract val ABSTRACT: Universe.FlagSet

   Flag indicating that tree represents an abstract class

3. #### abstract val ARTIFACT: Universe.FlagSet

   Flag used to distinguish platform-specific implementation details.

   Flag used to distinguish platform-specific implementation details. Trees and symbols which are currently marked ARTIFACT by scalac: * $outer fields and accessors * super accessors * protected accessors * lazy local accessors * bridge methods * default argument getters * evaluation-order preserving locals for right-associative and out-of-order named arguments * catch-expression storing vals * anything else which feels a setFlag(ARTIFACT)

   See also

     SYNTHETIC

4. #### abstract val BYNAMEPARAM: Universe.FlagSet

   Flag indicating that tree represents a by-name parameter

5. #### abstract val CASE: Universe.FlagSet

   Flag indicating that tree has `case` modifier set

6. #### abstract val CASEACCESSOR: Universe.FlagSet

   Flag indicating that tree represents a parameter of the primary constructor of some case class or a synthetic member underlying thereof.

   Flag indicating that tree represents a parameter of the primary constructor of some case class or a synthetic member underlying thereof. E.g. here's how 'case class C(val x: Int)' is represented:

   trees at end of parser// Scala source: tmpnHkJ3y case class C extends scala.Product with scala.Serializable { <caseaccessor> <paramaccessor> val x: Int = _; def <init>(x: Int) = { super.<init>(); () } } ClassDef( Modifiers(CASE), TypeName("C"), List(), Template( List(Select(Ident(scala), TypeName("Product")), Select(Ident(scala), TypeName("Serializable"))), noSelfType, List( ValDef(Modifiers(CASEACCESSOR | PARAMACCESSOR), TermName("x"), Ident(TypeName("Int")), EmptyTree), DefDef( Modifiers(), nme.CONSTRUCTOR, List(), List(List(ValDef(Modifiers(PARAM | PARAMACCESSOR), TermName("x"), Ident(TypeName("Int")), EmptyTree))), TypeTree(), Block(List(pendingSuperCall), Literal(Constant(())))))))))

7. #### abstract val CONTRAVARIANT: Universe.FlagSet

   Flag indicating that tree represents a contravariant type parameter (marked with `-`).

8. #### abstract val COVARIANT: Universe.FlagSet

   Flag indicating that tree represents a covariant type parameter (marked with `+`).

9. #### abstract val DEFAULTINIT: Universe.FlagSet

   Flag indicating that tree represents a variable or a member initialized to the default value

10. #### abstract val DEFAULTPARAM: Universe.FlagSet

    Flag indicating that tree represents a parameter that has a default value

11. #### abstract val DEFERRED: Universe.FlagSet

    Flag indicating that tree represents an abstract type, method, or value

12. #### abstract val ENUM: Universe.FlagSet

    Flag indicating that tree represents an enum.

    Flag indicating that tree represents an enum.

    It can only appear at

    - the enum's class
    - enum constants

13. #### abstract val FINAL: Universe.FlagSet

    Flag indicating that tree has `final` modifier set

14. #### abstract val IMPLICIT: Universe.FlagSet

    Flag indicating that tree has `implicit` modifier set

15. #### abstract val INTERFACE: Universe.FlagSet

    Flag indicating that a tree is an interface (i.e.

    Flag indicating that a tree is an interface (i.e. a trait which defines only abstract methods)

16. #### abstract val LAZY: Universe.FlagSet

    Flag indicating that tree has `lazy` modifier set

17. #### abstract val LOCAL: Universe.FlagSet

    Flag indicating that tree represents a member local to current class, i.e.

    Flag indicating that tree represents a member local to current class, i.e. private[this] or protected[this]. This requires having either PRIVATE or PROTECTED set as well.

18. #### abstract val MACRO: Universe.FlagSet

    Flag indicating that tree represents a macro definition.

19. #### abstract val MUTABLE: Universe.FlagSet

    Flag indicating that tree represents a mutable variable

20. #### abstract val OVERRIDE: Universe.FlagSet

    Flag indicating that tree has `override` modifier set

21. #### abstract val PARAM: Universe.FlagSet

    Flag indicating that tree represents a class or parameter.

    Flag indicating that tree represents a class or parameter. Both type and value parameters carry the flag.

22. #### abstract val PARAMACCESSOR: Universe.FlagSet

    Flag indicating that tree represents a parameter of the primary constructor of some class or a synthetic member underlying thereof.

    Flag indicating that tree represents a parameter of the primary constructor of some class or a synthetic member underlying thereof. E.g. here's how 'class C(val x: Int)' is represented:

    trees at end of parser// Scala source: tmposDU52 class C extends scala.AnyRef { <paramaccessor> val x: Int = _; def <init>(x: Int) = { super.<init>(); () } } ClassDef( Modifiers(), TypeName("C"), List(), Template( List(Select(Ident(scala), TypeName("AnyRef"))), noSelfType, List( ValDef(Modifiers(PARAMACCESSOR), TermName("x"), Ident(TypeName("Int")), EmptyTree), DefDef( Modifiers(), nme.CONSTRUCTOR, List(), List(List(ValDef(Modifiers(PARAM | PARAMACCESSOR), TermName("x"), Ident(TypeName("Int")), EmptyTree))), TypeTree(), Block(List(pendingSuperCall), Literal(Constant(())))))))))

23. #### abstract val PRESUPER: Universe.FlagSet

    Flag indicating that tree represents an early definition

24. #### abstract val PRIVATE: Universe.FlagSet

    Flag indicating that tree has `private` modifier set

25. #### abstract val PROTECTED: Universe.FlagSet

    Flag indicating that tree has `protected` modifier set

26. #### abstract val SEALED: Universe.FlagSet

    Flag indicating that tree has `sealed` modifier set

27. #### abstract val STABLE: Universe.FlagSet

    Flag that indicates methods that are supposed to be stable (e.g.

    Flag that indicates methods that are supposed to be stable (e.g. synthetic getters of valdefs).

28. #### abstract val SYNTHETIC: Universe.FlagSet

    Flag used to distinguish programmatically generated definitions from user-written ones.

    Flag used to distinguish programmatically generated definitions from user-written ones.

    See also

      ARTIFACT

29. #### abstract val TRAIT: Universe.FlagSet

    Flag indicating that tree represents a trait

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Universe.FlagValues to any2stringadd[Universe.FlagValues] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Universe.FlagValues, B)

   Implicit information
     This member is added by an implicit conversion from Universe.FlagValues to ArrowAssoc[Universe.FlagValues] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

7. #### def clone(): AnyRef

   Create a copy of the receiver object.

   Create a copy of the receiver object.

   The default implementation of the `clone` method is platform dependent.

   returns

     a copy of the receiver object.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @HotSpotIntrinsicCandidate() @throws( ... )
   Note

     not specified by SLS as a member of AnyRef

8. #### def ensuring(cond: (Universe.FlagValues) ⇒ Boolean, msg: ⇒ Any): Universe.FlagValues

   Implicit information
     This member is added by an implicit conversion from Universe.FlagValues to Ensuring[Universe.FlagValues] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (Universe.FlagValues) ⇒ Boolean): Universe.FlagValues

   Implicit information
     This member is added by an implicit conversion from Universe.FlagValues to Ensuring[Universe.FlagValues] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): Universe.FlagValues

    Implicit information
      This member is added by an implicit conversion from Universe.FlagValues to Ensuring[Universe.FlagValues] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): Universe.FlagValues

    Implicit information
      This member is added by an implicit conversion from Universe.FlagValues to Ensuring[Universe.FlagValues] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

14. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Universe.FlagValues to StringFormat[Universe.FlagValues] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

15. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Annotations
      @HotSpotIntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

16. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any
    Annotations
      @HotSpotIntrinsicCandidate()

17. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @HotSpotIntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

20. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @HotSpotIntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### def →[B](y: B): (Universe.FlagValues, B)

    Implicit information
      This member is added by an implicit conversion from Universe.FlagValues to ArrowAssoc[Universe.FlagValues] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1. #### def finalize(): Unit

   Called by the garbage collector on the receiver object when there are no more references to the object.

   Called by the garbage collector on the receiver object when there are no more references to the object.

   The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @Deprecated @deprecated @throws( classOf[java.lang.Throwable] )
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

   Note

     not specified by SLS as a member of AnyRef

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Universe.FlagValues to any2stringadd[Universe.FlagValues]

### Inherited by implicit conversion StringFormat from Universe.FlagValues to StringFormat[Universe.FlagValues]

### Inherited by implicit conversion Ensuring from Universe.FlagValues to Ensuring[Universe.FlagValues]

### Inherited by implicit conversion ArrowAssoc from Universe.FlagValues to ArrowAssoc[Universe.FlagValues]

### Ungrouped